# Class CADBQAuditEventAdd

java.lang.Object
com.io7m.cardant.database.postgres.internal.CADBQAuditEventAdd

All Implemented Interfaces:
  `CADatabaseQueriesAuditType`, `CADatabaseQueriesAuditType.EventAddType`, `CADatabaseQueriesType`, `CADatabaseQueryType<CAAuditEvent,CADatabaseUnit>`

public final class CADBQAuditEventAdd extends Object implements CADatabaseQueriesAuditType.EventAddType
Add audit events.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesAuditType

  `CADatabaseQueriesAuditType.EventAddType, CADatabaseQueriesAuditType.EventSearchType`

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CADBQAuditEventAdd(com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction)`
  Construct a query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final Map<String,String>`
  `attributes()`
  `final CADatabaseUnit`
  `execute(CAAuditEvent parameters)`
  Execute the query.
  `protected CADatabaseLanguage`
  `language()`
  `protected final String`
  `local(CAStringConstantType constant)`
  `protected final CAStrings`
  `messages()`
  `protected final OffsetDateTime`
  `now()`
  `protected CADatabaseUnit`
  `onExecute(org.jooq.DSLContext context, CAAuditEvent parameters)`
  `static CADBQueryProviderType`
  `provider()`
  `protected final void`
  `setAttribute(CAStringConstantType name, String value)`
  `protected final com.io7m.cardant.database.postgres.internal.CADatabaseTransaction`
  `transaction()`
  `protected final io.opentelemetry.api.trace.Span`
  `transactionSpan()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cardant.database.api.CADatabaseQueryType

  `execute`

- ## Constructor Details

  - ### CADBQAuditEventAdd

    public CADBQAuditEventAdd(com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction)
    Construct a query.
    Parameters:
      `transaction` - The transaction

- ## Method Details

  - ### provider

    public static CADBQueryProviderType provider()
    Returns:
      A query provider

  - ### onExecute

    protected CADatabaseUnit onExecute(org.jooq.DSLContext context, CAAuditEvent parameters)

  - ### transactionSpan

    protected final io.opentelemetry.api.trace.Span transactionSpan()

  - ### transaction

    protected final com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction()

  - ### messages

    protected final CAStrings messages()

  - ### local

    protected final String local(CAStringConstantType constant)

  - ### setAttribute

    protected final void setAttribute(CAStringConstantType name, String value)

  - ### execute

    public final CADatabaseUnit execute(CAAuditEvent parameters) throws CADatabaseException
    Description copied from interface: `CADatabaseQueryType`
    Execute the query.
    Specified by:
      `execute` in interface `CADatabaseQueryType<P,R>`
    Parameters:
      `parameters` - The parameters
    Returns:
      The results
    Throws:
      `CADatabaseException` - On errors

  - ### attributes

    protected final Map<String,String> attributes()

  - ### language

    protected CADatabaseLanguage language()

  - ### now

    protected final OffsetDateTime now()